// priority: 0

console.info('KubeJS startup script loaded for Geecraft')

const lightLevelOverrides = {
	'mtr:route_sign_standing_metal': 0,
	'mtr:route_sign_wall_metal': 0,
	'londonunderground:station_light': 13,
	'londonunderground:exit_sign': 13
}

const destroySpeedOverrides = {
	'londonunderground:platform_tfl_1': 0.22,
	'londonunderground:platform_tfl_gap': 0.22
}

onEvent('block.modification', event => {
	for(let key of Object.keys(lightLevelOverrides)) {
		event.modify(key, block => {
			block.lightEmission = lightLevelOverrides[key]
		})
	}

	event.modify(/londonunderground:.*/, block => {
		block.destroySpeed = 0.22
		block.requiresTool = true
	})
})